<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="generator" content="">
    <title>ZeroHero API</title>

    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
    <link rel="icon" href="favicon.ico" type="image/x-icon">

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Plugins -->
    <link href="css/prism.css" rel="stylesheet" />
    <link href="css/toastr.min.css" rel="stylesheet" />

    <!-- Custom styles for this template -->
    <link href="css/style.css?v=1" rel="stylesheet">

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <!-- <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap" rel="stylesheet"> -->
    <!-- <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin> -->
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700&display=swap" rel="stylesheet">


    <link href="css/font-awesome.min.css" rel="stylesheet">
</head>

<body>

    <div class="px-4 pb-4 text-center header-hero">
        <div class="container-fluid">
            <header class="d-flex flex-wrap justify-content-center py-3">
                <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-decoration-none">
                    <!-- <img class="gopher-music" src="images/gopher-music.png" alt="" /> -->
                    <img class="gopher-music" src="images/gophers.png" alt="" />
                    <span class="fs-4">ZeroHero API</span>
                </a>

                <ul class="nav nav-pills">
                    <li class="nav-item"><a href="#" class="nav-link" aria-current="page">Documenta&ccedil;&atilde;o</a></li>
                    <li class="nav-item"><a href="#" class="nav-link fw-bold">Experimentar</a></li>
                    <li class="nav-item"><a href="#" class="nav-link">IDs Personagens</a></li>
                </ul>
            </header>
        </div>

        <img class="d-block mx-auto mb-4" src="images/gopher-gotham.png" alt="" />
        <h1 class="display-3 fw-bold">Experimente ZeroHero API</h1>
        <div class="col-lg-4 mx-auto">
            <p class="lead lead-hero mb-4">Veja os dados de todos os super heróis e vilões de todos os universos em uma só API.</p>
        </div>
        <div class="col-lg-8 mx-auto">
            <p class="lead lead-hero mb-5">
                <a href="https://superheroapi.com/index.html" target="_blank">Nós usamos a <span class="fw-bold">API Superhero</span> como referência.</a>
            </p>
        </div>

        <div class="col-lg-6 mx-auto mb-5">
            <button type="button" class="btn btn-header-tab btn-header-tab-active" onclick="$('#Form_Batalha').hide(); $('#Form_Biografia').show(); $('.btn-header-tab').toggleClass('btn-header-tab-active');">Biografia</button>
            <button type="button" class="btn btn-header-tab" onclick="$('#Form_Biografia').hide(); $('#Form_Batalha').show(); $('.btn-header-tab').toggleClass('btn-header-tab-active');">Batalha</button>
        </div>

        <div class="col-lg-6 mx-auto mb-3" id="Form_Biografia">
            <div class="select-wrapper">
                <select class="form-control form-power-stats mb-3" id="optHeroes" onchange="$('#search-hero').val($(this).val());">
                    <option value=""></option>
                </select>
            </div>

            <div class="input-group input-group-lg input-group-hero">
                <span class="input-group-text" id="basic-addon3" style=""></span>
                <input type="text" class="form-control form-control-hero" id="search-hero" value="hulk" />
                <button class="btn btn-get-hero" type="button" id="button-addon2">
                    <div class="loader" style="display: none;">
                        <i class="fa fa-spin fa-spinner"></i>
                    </div>
                    <div class="text">Enviar</div>
                </button>
            </div>

            <div class="time-call-info mt-1 mb-3">
                <span id="timeCallInfo">Lat&ecirc;ncia: <span id="timeCall"></span></span>
                <span id="dominioInfo"></span>
            </div>

            <p class="get-hero-hint mt-1 mb-3">Quer uma dica? Tente <a class="btn-link-suggestion" href="javascript:void(0)" data-hero="ironman">ironman</a>, <a class="btn-link-suggestion" href="javascript:void(0)" data-hero="superman">superman</a> ou <a class="btn-link-suggestion" href="javascript:void(0)" data-hero="wonderwoman">wonderwoman</a></p>
        </div>

        <div class="col-lg-6 mx-auto mb-3" id="Form_Batalha" style="display: none;">
            <div class="select-wrapper">
                <select class="form-control form-power-stats mb-3" id="optPowerStats" onchange="$('#battle_powerstat').html($(this).val()); $('#search-hero-battle').trigger('focus');">
                    <option value="intelligence">Intelig&ecirc;ncia</option>
                    <option value="strength">For&ccedil;a</option>
                    <option value="speed">Velocidade</option>
                    <option value="durability">Durabilidade</option>
                    <option value="power">Energia</option>
                    <option value="combat">Combate</option>
                </select>
            </div>

            <p class="get-hero-hint mt-1 mb-1">Informe os heróis abaixo, separados por vírgula: (exemplo: hulk,ironman,superman)</p>
            <div class="input-group input-group-lg input-group-hero input-group-battle">
                <span class="input-group-text" id="basic-addon3-battle" style=""><span id="battle_powerstat">intelligence</span>/?heroes=</span>
                <input type="text" class="form-control form-control-hero form-control-battle" id="search-hero-battle" value="hulk,ironman,superman" />
                <button class="btn btn-get-hero-battle" type="button" id="button-addon2-battle">
                    <div class="loader" style="display: none;">
                        <i class="fa fa-spin fa-spinner"></i>
                    </div>
                    <div class="text">Enviar</div>
                </button>
            </div>

            <div class="time-call-info mt-1 mb-3">
                <span id="timeCallInfoBattle">Lat&ecirc;ncia: <span id="timeCallBattle"></span></span>
                <span id="dominioInfoBattle"></span>
            </div>

            <p class="get-hero-hint mt-1 mb-3">Quer mais emo&ccedil;&atilde;o? Tente uma batalha com <a class="btn-link-battle-suggestion" href="javascript:void(0)">estat&iacute;stica de poder e heróis aleat&oacute;rios</a></p>
        </div>
    </div>

    <main>
        <div class="bg-hero-stats" id="hero_stats">
            <div class="container pt-5 pb-5">

                <div class="row">
                    <div class="col-4 offset-1">
                        <div class="bg-hero-stats-card">
                            <div class="row mt-3 text-center">
                                <div class="col-md-12 col-12">
                                    <img id="hero-img" src="" alt="" />
                                </div>

                                <div class="col-md-12 col-12 hero-description-card">
                                    <div class="fw-bold fs-1" id="hero-name">Procure por um super herói acima. Os dados deles serão mostrados aqui.</div>
                                    <p id="hero-description"></p>
                                    <div class="biography_publisher hero-publisher"></div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-4 offset-1">

                        <div>
                            <p class="title-ps">Estatísticas de poder</p>

                            <div class="my-1 stats-name-ps">Inteligência</div>
                            <div class="progress mb-3">
                                <div class="progress-bar" id="pb-intelligence" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>

                            <div class="my-1 stats-name-ps">Força</div>
                            <div class="progress mb-3">
                                <div class="progress-bar" id="pb-strength" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>

                            <div class="my-1 stats-name-ps">Velocidade</div>
                            <div class="progress mb-3">
                                <div class="progress-bar" id="pb-speed" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>

                            <div class="my-1 stats-name-ps">Durabilidade</div>
                            <div class="progress mb-3">
                                <div class="progress-bar" id="pb-durability" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>

                            <div class="my-1 stats-name-ps">Energia</div>
                            <div class="progress mb-3">
                                <div class="progress-bar" id="pb-power" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>

                            <div class="my-1 stats-name-ps">Combate</div>
                            <div class="progress mb-3">
                                <div class="progress-bar" id="pb-combat" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>

        <div class="bg-hero-battle" style="display: none;">
            <div class="container pt-5 pb-5">

                <div class="row">

                <div class="col-4 text-center">
                    <div class="col-hero-battle col-hero-battle-winner">
                        <div class="col-hero-winner">Vencedor</div>
                        <div class="col-md-12 col-12">
                            <img class="hero-img" src="https://www.superherodb.com/pictures2/portraits/10/100/791.jpg" alt="" />
                        </div>

                        <div class="col-md-12 col-12 hero-description-card">
                            <span class="fw-bold fs-1" style="color: #FFF;">SUPERMAN</span>
                            <p id="hero-description">Clark Kent</p>
                            <div class="hero-publisher">Superman Prime One-Million</div>
                        </div>

                        <div class="mt-5 px-3">
                            <div class="my-1 stats-name-ps">Velocidade</div>
                            <div class="progress mb-3">
                                <div class="progress-bar" role="progressbar" aria-valuemin="0" aria-valuemax="100" style="width: 100%;">100</div>
                            </div>
                        </div>
                    </div>
                    </div>

                    <div class="col-4 text-center">
                        <div class="col-hero-battle">
                        <div class="col-md-12 col-12">
                            <img class="hero-img" src="https://www.superherodb.com/pictures2/portraits/10/100/83.jpg" alt="" />
                        </div>

                        <div class="col-md-12 col-12 hero-description-card">
                            <span class="fw-bold fs-1" style="color: #FFF;">HULK</span>
                            <p id="hero-description">Bruce Banner</p>
                            <div class="hero-publisher">Marvel Comics</div>
                        </div>

                        <div class="mt-5 px-3">
                            <div class="my-1 stats-name-ps">Velocidade</div>
                            <div class="progress mb-3">
                                <div class="progress-bar" role="progressbar" aria-valuemin="0" aria-valuemax="100" style="width: 63%;">63</div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-4 text-center">
                    <div class="col-hero-battle">
                        <div class="col-md-12 col-12">
                            <img class="hero-img" src="https://www.superherodb.com/pictures2/portraits/10/100/85.jpg" alt="" />
                        </div>

                        <div class="col-md-12 col-12 hero-description-card">
                            <span class="fw-bold fs-1" style="color: #FFF;">IRONMAN</span>
                            <p id="hero-description">Tony Stark</p>
                            <div class="hero-publisher">Marvel Comics</div>
                        </div>

                        <div class="mt-5 px-3">
                            <div class="my-1 stats-name-ps">Velocidade</div>
                            <div class="progress mb-3">
                                <div class="progress-bar" role="progressbar" aria-valuemin="0" aria-valuemax="100" style="width: 58%;">58</div>
                            </div>
                        </div>
                    </div>
                </div>

                </div>
            </div>
        </div>
    </div>


        <div class="container mt-5">


            <div class="row mt-5 mb-5 row-description">
                <div class="col-12">

                    <div class="card border-light mb-3">
                        <div class="card-header">Biografia</div>
                        <div class="card-body">
                            <table class="table table-sm table-borderless table-hero-details">
                                <tr>
                                    <th width="33.333333%">Nome completo</th>
                                    <th width="33.333333%">Alter egos</th>
                                    <th width="33.333333%">Apelidos</th>
                                </tr>
                                <tr>
                                    <td>
                                        <span id="biography_full-name">--</span>
                                    </td>
                                    <td>
                                        <span id="biography_alter-egos">--</span>
                                    </td>
                                    <td>
                                        <span id="biography_aliases">--</span>
                                    </td>
                                </tr>
                                <tr>
                                    <th>Local de nascimento</th>
                                    <th>Primeira apari&ccedil;&atilde;o</th>
                                    <th>Publicado por</th>
                                </tr>
                                <tr>
                                    <td>
                                        <span id="biography_place-of-birth">--</span>
                                    </td>
                                    <td>
                                        <span id="biography_first-appearance">--</span>
                                    </td>
                                    <td>
                                        <span id="biography_publisher">--</span>
                                    </td>
                                </tr>
                                <tr>
                                    <th>Alinhamento</th>
                                    <th>&nbsp;</th>
                                    <th>&nbsp;</th>
                                </tr>
                                <tr>
                                    <td>
                                        <span id="biography_alignment">--</span>
                                    </td>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                </tr>
                            </table>
                        </div>
                    </div>

                    <div class="card border-light mb-3">
                        <div class="card-header">Apar&ecirc;ncia</div>
                        <div class="card-body">
                            <table class="table table-sm table-borderless table-hero-details">
                                <tr>
                                    <th width="33.333333%">Sexo</th>
                                    <th width="33.333333%">Raça</th>
                                    <th width="33.333333%">Altura</th>
                                </tr>
                                <tr>
                                    <td>
                                        <span id="appearance_gender">--</span>
                                    </td>
                                    <td>
                                        <span id="appearance_race">--</span>
                                    </td>
                                    <td>
                                        <span id="appearance_height">--</span>
                                    </td>
                                </tr>
                                <tr>
                                    <th>Peso</th>
                                    <th>Cor dos olhos</th>
                                    <th>Cor dos cabelos</th>
                                </tr>
                                <tr>
                                    <td>
                                        <span id="appearance_weight">--</span>
                                    </td>
                                    <td>
                                        <span id="appearance_eye-color">--</span>
                                    </td>
                                    <td>
                                        <span id="appearance_hair-color">--</span>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>

                    <div class="card border-light mb-3">
                        <div class="card-header">Trabalho</div>
                        <div class="card-body">
                            <table class="table table-sm table-borderless table-hero-details">
                                <tr>
                                    <th width="50%">Ocupação</th>
                                    <th width="50%">Base</th>
                                </tr>
                                <tr>
                                    <td>
                                        <span id="work_occupation">--</span>
                                    </td>
                                    <td>
                                        <span id="work_base">--</span>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>

                    <div class="card border-light mb-3">
                        <div class="card-header">Conex&otilde;es</div>
                        <div class="card-body">
                            <table class="table table-sm table-borderless table-hero-details">
                                <tr>
                                    <th width="50%">Grupo de afiliação</th>
                                    <th width="50%">Parentes</th>
                                </tr>
                                <tr>
                                    <td>
                                        <span id="connections_group-affiliation">--</span>
                                    </td>
                                    <td>
                                        <span id="connections_relatives">--</span>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>

                </div>
            </div>


            <div class="row">
                <div class="col-12">

                    <div class="fw-bold mb-1">Resultado da API:</div>

                    <pre class="get-hero-json-container"><code class="language-json" id="get-hero-json"></code></pre>

                </div>
            </div>

    </main>

    <div class="footer-hero">
        <div class="container">
            <footer class="d-flex flex-wrap justify-content-between align-items-center py-3">
                <p class="col-md-4 mb-0 text-muted">2023 &copy; <a href="https://jeffotoni.com">jeffotoni</a>. Todos os direitos reservados.</p>

                <a href="/" class="col-md-4 d-flex align-items-center justify-content-center mb-3 mb-md-0 me-md-auto link-dark text-decoration-none">
                    <img class="gopher-footer" src="images/gopher-helmet.png" alt="" />
                </a>

                <ul class="nav col-md-4 justify-content-end">
                    <li class="nav-item"><a href="https://github.com/jeffotoni/gzerohero.web" class="nav-link px-2 text-muted">Código fonte</a></li>
                    <!-- <li class="nav-item"><a href="#" class="nav-link px-2 text-muted">Privacy Policy</a></li>
                    <li class="nav-item"><a href="#" class="nav-link px-2 text-muted">Changelog</a></li>
                    <li class="nav-item"><a href="#" class="nav-link px-2 text-muted">Credits</a></li>
                    <li class="nav-item"><a href="#" class="nav-link px-2 text-muted">Contact us</a></li> -->
                </ul>
            </footer>
        </div>
    </div>

    <script src="js/jquery-3.6.0.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/prism.js"></script>
    <script src="js/toastr.min.js"></script>
    <script src="js/script.js?v=1"></script>

</body>

</html>